Recognition

VIN OCR

Extract a VIN from a photo. Send a JSON body containing an `image_url` field with either a URL to an image or a base64-encoded image string.


Checking account...
POST
/v1/vinocr

Extract a VIN from a photo. Send a JSON body containing an image_url field with either a URL to an image or a base64-encoded image string.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carsxe.com/v1/vinocr?key=CARSXE_API_KEY" \  -H "Content-Type: application/json" \  -d '{"image_url":"https://example.com/vin-plate.jpg"}'
{
  "success": true,
  "vin": "JHLRD77874C026456",
  "box": {
    "xmin": 257,
    "xmax": 1673,
    "ymin": 635,
    "ymax": 793
  },
  "confidence": 0.9834251403808594,
  "candidates": [
    {
      "vin": "JHLRD77874C026456",
      "confidence": 0.9834251403808594
    }
  ]
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "User with this API key is not active. To activate update your billing on https://api.carsxe.com/dashboard/billing"
}

{
  "success": false,
  "message": "User with this API key was not found or the API key is disabled"
}

{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}